CREATE TABLE IF NOT EXISTS ai_model_version (
    id UUID PRIMARY KEY,
    model_id UUID NOT NULL,
    version VARCHAR(255) NOT NULL,
    release_date TIMESTAMPTZ,
    change_log TEXT,
    is_default BOOLEAN NOT NULL DEFAULT false,
    status VARCHAR(255) NOT NULL,
    created_at TIMESTAMPTZ NOT NULL
);

CREATE INDEX idx_ai_model_version_model_id ON ai_model_version (model_id);
